### Function

# GLib test_get_path

since: 2.68

#### Declaration [src]

    const char*
    g_test_get_path (
      void
    )

#### Description [src]

Gets the test path for the test currently being run.

In essence, it will be the same string passed as the first argument to e.g. `g_test_add()` when the test was added.

This function returns a valid string only within a test function.

Note that this is a test path, not a file system path.

Available since: 2.68

#### Return value

Type: `const char*`

The test path for the test currently being run.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.